package BodyFieldCustomizer::CMS;

use strict;
use Data::Dumper;

sub erase_body_field {
    my ($cb, $app, $param, $tmpl) = @_;

    my $plugin = MT->component("BodyFieldCustomizer");
    return unless $plugin->get_config_value('able_display_option', 'blog:'.$app->param('blog_id'));

    foreach my $data (@{$param->{field_loop}}) {
        if ($data->{field_name} eq 'text') {
            $data->{lock_field} = '';
            $data->{show_field} = $param->{disp_prefs_show_text};
        }
    }
}

sub change_source {
    my ($cb, $app, $tmpl) = @_;

    my $old = <<HERE;
          var data = [ 'title', 'text' ];
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
          var data = [ 'title' ];
HERE
    $$tmpl =~ s/$old/$new/;

        # チェックボックスの順番が入れ替わるため停止
    $old = <<HERE;
#      var default_fields = [<mt:loop name="disp_prefs_default_fields" glue=",">'<mt:var name="name" escape="js">'</mt:loop>];
HERE
    $old = quotemeta($old);

    $new = <<HERE;
#      var default_fields = [<mt:loop name="disp_prefs_default_fields" glue="," regex_replace="/'body',/","">'<mt:var name="name" escape="js">'</mt:loop>];
HERE
    $$tmpl =~ s/$old/$new/;

    $old = <<HERE;
</mt:setvarblock>
<mt:include name="include/footer.tmpl" id="footer_include">
HERE
    $old = quotemeta($old);

    $new = <<HERE;
    checked = jQuery('#custom-prefs-text').attr('checked');
    if (!checked) {
        jQuery('#text-field').addClass('hidden');
    }
</mt:setvarblock>
<mt:include name="include/footer.tmpl" id="footer_include">
HERE
    $$tmpl =~ s/$old/$new/;


    my $plugin = MT->component("BodyFieldCustomizer");
    my $use_sort = $plugin->get_config_value('use_sort', 'blog:'.$app->param('blog_id'));

    if ($use_sort) {
        my $old = <<HERE;
    <div id="text-field" class="mod field">
      <div id="editor">
        <div id="editor-header" class="editor-header" mt:delegate="tab-container">
          <div class="tab selected-tab" mt:command="set-editor-content" mt:tab="content">
            <label><a href="javascript:void(0);"><__trans phrase="Body"></a></label>
          </div>
          <div class="tab" mt:command="set-editor-extended" mt:tab="extended">
            <label><a href="javascript:void(0);"><__trans phrase="Extended"></a></label>
          </div>
          <div id="field-convert_breaks">
HERE
        $old = quotemeta($old);

        my $new = <<HERE;
    <div id="text-field" class="mod field sort-enabled">
      <div id="editor">
        <div id="editor-header" class="editor-header field-header" mt:delegate="tab-container" style="margin-bottom:0; padding:5px 10px 0;border-bottom: none">
          <div class="tab selected-tab" mt:command="set-editor-content" mt:tab="content" style="margin: 4px -14px -1px 20px;padding: 5px 10px 4px 0;">
            <label style="margin-left:10px;"><a href="javascript:void(0);"><__trans phrase="Body"></a></label>
          </div>
          <div class="tab" mt:command="set-editor-extended" mt:tab="extended" style="margin: 4px -14px -1px 20px;padding: 5px 10px 4px 0;">
            <label style="margin-left:10px;"><a href="javascript:void(0);"><__trans phrase="Extended"></a></label>
          </div>
          <div id="field-convert_breaks" style="margin: 5px 10px;">

HERE
        $$tmpl =~ s/$old/$new/;
    }
}

1;

__END__
